Bug 113370 - Postfix config file verification turned off in spec file
Postfix config file verification turned off in spec file
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: postfix (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-13 05:33 EST by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 16:34:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2004-01-13 05:33:26 EST
Description of problem:
The postfix spec file explicitly turns off verifying md5sums etc. of
the Postfix config files, which is bad practice IMHO, as it makes it
impossible to check with "rpm -V" if something has been changed.

Version-Release number of selected component (if applicable):
2.0.11-4.
Comment 1 John Dennis 2004-01-14 16:34:24 EST
I agree. Done. Actually did a bit of clean up on the whole %files
section trying to let the postfix installation script handle as much
of the ownership, permissions, etc. as possible.
Comment 2 Jos Vos 2004-01-14 17:32:11 EST
Ownerships sounds a bit scary, as this would mean that the package
can't be build as a non-root user and/or the user postfix needs to
exist on the build machine.
Comment 3 John Dennis 2004-01-15 19:27:51 EST
Yes, I realized the problem with that about 5 minutes after I updated
this bugzilla. I really wanted the spec file to key off of what was in
postfix-files as that is the true definition. So I wrote a script that
parses postfix-files and generates a %files list from it so there
would be a perfect match and it would be automated and not dependent
upon hand editing nor failure to notice if something changed upstream.

Note You need to log in before you can comment on or make changes to this bug.